grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v2.21-31-gadf95a6


From: Paul Eggert
Subject: grep branch, master, updated. v2.21-31-gadf95a6
Date: Sat, 30 May 2015 19:25:22 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  adf95a6108c1747b7e2e85716fdcb1d90c09d42d (commit)
      from  a841e183613aa49991d16240b0b748a0d5c5e361 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=adf95a6108c1747b7e2e85716fdcb1d90c09d42d


commit adf95a6108c1747b7e2e85716fdcb1d90c09d42d
Author: Paul Eggert <address@hidden>
Date:   Sat May 30 12:23:50 2015 -0700

    test: tighten tests for bracket exprs
    
    * tests/posix-bracket: Test '[a-a[.-.]--]'.
    Also, test that failures are with status 1
    (nonmatching data), not status 2 (invalid expressions).

diff --git a/tests/posix-bracket b/tests/posix-bracket
index 4d54112..840e53e 100755
--- a/tests/posix-bracket
+++ b/tests/posix-bracket
@@ -24,10 +24,11 @@ fail=0
 
 echo a >in || framework_failure_
 for bracketed in '[.a.]' '[.a.]-a' 'a-[.a.]' '[.a.]-[.a.]' \
-    '[=a=]' '[:alpha:]'; do
+    '[=a=]' '[:alpha:]' 'a-a[.-.]--'; do
   grep "[$bracketed]" in >out || fail=1
   compare in out || fail=1
-  grep "[^$bracketed]" in >out && fail=1
+  grep "[^$bracketed]" in >out
+  test $? -eq 1 || fail=1
   compare /dev/null out || fail=1
 done
 Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 tests/posix-bracket |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]